import 'package:dio/src/Response.dart';

/**
 * HttpError describes the error info  when request failed.
 */
class DioError extends Error {
  DioError({this.response, this.message, this.stackTrace});
  /// Response info, it may be `null` if the request can't reach to
  /// the http server, for example, occurring a dns error, network is not available.
  Response response;
  /// Error descriptions.
  String message;
  String toString() =>"DioError: "+message +(stackTrace??"").toString();
  /// Error stacktrace info
  StackTrace stackTrace;
}